#!/bin/zsh

cat <<EOF
<!Doctype HTML>

<html>
  <head>
    <title>$TITLE</title>
    <style type="text/css">
    <!--


    $($PAGE css)
    -->
    </style>
  </head>
  <body>
    <div class="NAVIGATION">
      $(NAVIGATION |sed -r 's:^([^ ]+) (.+)$:<a href="\1">\2</a>:g')
    </div>
    <div class="MAIN">
      $($PAGE body)
    </div>
  </body>
</html>
EOF
